Installation

From Citizens Wiki
Jump to: navigation, search

Installing Citizens 2.0 is easy. It is like installing any other Bukkit plugin. If you don't know how to do that, see below.

Installing Citizens 2.0

  1. Download Citizens here.
  2. Place the Citizens 2.0 jar in your /plugins directory.
  3. Download any desired Trait plugins and place these in the /plugins directory as well.
  4. Reload or restart your server. Citizens 2 will create a plugins/Citizens folder and a config.yml file.
  5. Configure Citizens to your liking with config.yml. See the Configuration page for more help.
  6. Reload or restart your server.
  7. Start creating and editing NPCs!
  8. Be sure to set Permissions so your players can interact with NPCs.
    • Note that players need the citizens.npc.talk permission to hear NPCs!

Upgrading to 2.x

*** Citizens 2.0 is NOT compatible with Citizens 1.2****

Can I keep my old NPCs?

You'll have to convert your old npc-profiles.yml files first. A converter can be found here on the site. Once you get the saves.yml file, place it in ./plugins/Citizens/saves.yml .

Before you do any downloading and configuring of Citizens2, you must delete all of your previous Citizens files. They will not work with Citizens v2.0 or higher. It is recommended to backup these files just in case you decide to downgrade.

Once you have removed all Citizens 1.x files, follow the steps above.